Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# rb_data_type_struct Struct Reference

`#include <ruby.h>`

## Data Fields
const char * | wrap_struct_name
void(* | dmark )(void *)
void(* | dfree )(void *)
size_t(* | dsize )(const void *)
void * | reserved [3]
void * | data

## Detailed Description

Definition at line 745 of file ruby.h.

## Field Documentation

void* rb_data_type_struct::data

Definition at line 752 of file ruby.h.

void(* rb_data_type_struct::dfree)(void *)

Definition at line 748 of file ruby.h.

void(* rb_data_type_struct::dmark)(void *)

Definition at line 747 of file ruby.h.

Referenced by gc_mark_children().

size_t(* rb_data_type_struct::dsize)(const void *)

Definition at line 749 of file ruby.h.

void* rb_data_type_struct::reserved[3]

Definition at line 750 of file ruby.h.

const char* rb_data_type_struct::wrap_struct_name

Definition at line 746 of file ruby.h.

Referenced by rb_check_typeddata().

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h